Package org.silverpeas.components.datawarning.model

## Class DataWarningUser

- java.lang.Object
- - org.silverpeas.core.persistence.jdbc.bean.SilverpeasBean
  - - org.silverpeas.components.datawarning.model.DataWarningUser

- All Implemented Interfaces:
    `Serializable`, `org.silverpeas.core.persistence.jdbc.bean.SilverpeasEntityBean`

      public class DataWarningUser
      extends org.silverpeas.core.persistence.jdbc.bean.SilverpeasBean

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DataWarningUser()` |
    `DataWarningUser​(String instanceId, int userId)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getInstanceId()` |
    `protected String` | `getTableName()` |
    `int` | `getUserId()` |
    `void` | `setInstanceId​(String instanceId)` |
    `void` | `setUserId​(int userId)` |

    - ### Methods inherited from class org.silverpeas.core.persistence.jdbc.bean.SilverpeasBean

      `getNonNullString, getPK, setPK`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataWarningUser

          public DataWarningUser()

    - #### DataWarningUser

          public DataWarningUser​(String instanceId,
                                 int userId)

  - ### Method Detail

    - #### getInstanceId

          public String getInstanceId()

    - #### getUserId

          public int getUserId()

    - #### setInstanceId

          public void setInstanceId​(String instanceId)

    - #### setUserId

          public void setUserId​(int userId)

    - #### getTableName

          @NonNull
          protected String getTableName()

      Specified by:
        `getTableName` in class `org.silverpeas.core.persistence.jdbc.bean.SilverpeasBean`